import * as api from "@opentelemetry/api";
export declare class Tracer {
    static traceEnabled: boolean;
    private static _tracer;
    private static _provider;
    private static _spans;
    static enableTracing(tracerName: string, serviceName?: string): void;
    static disableTracing(): void;
    static startSpan(spanName: string): void;
    static endSpan(): void;
    static setAttribute(attrName: string, data: unknown): void;
    static addEvent(event: string, data?: unknown): void;
    static recordException(error: api.Exception): void;
    static traceMethod(span: string): (target: unknown, key: string | symbol, descriptor: PropertyDescriptor) => PropertyDescriptor;
    static traceFunc<TArgs extends Array<unknown>, TReturn>(span: string, func: (...args: TArgs) => TReturn): (...args: TArgs) => TReturn;
    static _initProvider(serviceName: string): void;
    static _pushSpan(span: api.Span): void;
    static _currentSpan(): api.Span | undefined;
    static _popSpan(): void;
}
